package speiger.src.coreengine.rendering.guiOld.base;

import speiger.src.coreengine.rendering.guiOld.GuiBase;

public abstract class DebugOverlay extends GuiScreenBase
{
	public abstract boolean toggleFPS();
	public abstract void toggleUI();
	public abstract void toggleUpdate();
	public abstract void toggleDebug();
	public abstract boolean isUpdating();
	public abstract boolean isRendering();
	
	public boolean shouldAcceptInputs(GuiBase base)
	{
		return base instanceof DebugOverlay || isRendering();
	}
	
}
